Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.xml
Class ImportDaml.MyErrorHandler

    java.lang.Object
      |
      +--org.opencyc.xml.ImportDaml.MyErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Enclosing class:
  ImportDaml

protected class ImportDaml.MyErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler

Implements a SAX ErrorHandler to report the XML parsing errors.

Constructor Summary
`ImportDaml.MyErrorHandler()` Constructs a new MyErrorHandler object.

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)` Handles SAX XML parsing errors.
`void` | `fatalError(org.xml.sax.SAXParseException exception)` Handles SAX XML parsing fatal errors.
`void` | `warning(org.xml.sax.SAXParseException exception)` Handles SAX XML parsing warnings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportDaml.MyErrorHandler

    public ImportDaml.MyErrorHandler()

  Constructs a new MyErrorHandler object.

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException exception)

  Handles SAX XML parsing warnings.
  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(org.xml.sax.SAXParseException exception)

  Handles SAX XML parsing errors.
  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)

  Handles SAX XML parsing fatal errors.
  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD